Subject: Re: bug#12351: 24.1; parse-colon-path turns empty paths into nil

From: Glenn Morris <[email-masked]>
Date: Mon, 31 Dec 2012 02:07:15 -0500

PS parse-colon-path is explicitly documented to return nils:

 -- Function: parse-colon-path path
     This function takes a search path string such as the value of the
     `PATH' environment variable, and splits it at the separators,
     returning a list of directory names.  `nil' in this list means the
     current directory.  Although the function's name says "colon", it
     actually uses the value of `path-separator'.

          (parse-colon-path ":/foo:/bar")
               => (nil "/foo/" "/bar/")

The only use of parse-colon-path in "core" Emacs is in setting cd-path,
which needs the nil, as we have seen.